Log in or register to post comments

ARM version detection

June 18, 2012 - 4:30am #1

Hi,

Let's say I create a .apk file using a unity project which has the 'Device Filter'(In Player settings) as 'ARMV6 with VFP'. Now when I upload this to Google Play, Can the ARMV6 phones not having VFP feature download and run that app?

Exactly how does it behave in phones which are below 'ARMV6 with VFP'?

1.Phone can't install it?
Or
2.Phone will install and when running the Image detection part, it'll give the message QCAR not initialized bcos the device is not supported
Or
3.Any other behaviour?

Do I need to specify that ARM version in the Android manifest file or any where else in the Android app?

Thanks.

Re: ARM version detection

June 20, 2012 - 6:52am #3

Thanks ppreuss. :)

So if I run Vuforia native SDK on a Armv6 device without VFP, will it run properly without even coming to QCAR.INIT_DEVICE_NOT_SUPPORTED ?

I thought according to this pdf vuforia also need armv6 with VFP or above https://ar.qualcomm.at/qdevnet/support_file/download/Android/android%20supported%20devices/Supported_Devices_Android.pdf

I did post in the Unity forum, but no reply from them :-(

Re: ARM version detection

June 18, 2012 - 12:15pm #2

Hello shalika,

Unity requires Armv6 with VFP so i'm not sure the app will even start on devices without a vfp. You may want to post this question to the Unity forum.

I can tell you running the Vuforia native SDK on a Armv6 device without VFP will not cause a crash or prevent the app from starting. The performance on these devices will be sub optimal but the SDK will not stop the app from running.

Thank you,

-Peter

Log in or register to post comments